Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ongelmia ohjelmien asennuksessa
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Finnish
View previous topic :: View next topic  
Author Message
Hartza
n00b
n00b


Joined: 22 May 2004
Posts: 26
Location: Finland

PostPosted: Sat May 29, 2004 5:25 pm    Post subject: Ongelmia ohjelmien asennuksessa Reply with quote

Miten saa asennettua ohjelmista uusimman version, kun "emerge --pretend ohjelma" löytää vain vanhemman version mitä pitäis. Ohjelma jota yritän asentaa on aMule-1.2.6 ja yritin sitä näin:
emerge sync
emerge --pretend amule
tulee teksti:
Code:
These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild  N    ] net-p2p/amule-1.1.0

Miksi ei löydä 1.2.6 versiota?
Back to top
View user's profile Send private message
Mikessu
Moderator
Moderator


Joined: 11 Oct 2003
Posts: 219
Location: Oulu, Finland

PostPosted: Sat May 29, 2004 5:32 pm    Post subject: Reply with quote

Näin saat uusimman:

Code:
ACCEPT_KEYWORDS="~x86" emerge -p amule


Tuosta keywordsista voi lukea lisää Gentoon ohjeista.

Jos pitää olla nimenomaan 1.2.6, niin saat sen näin:

Code:
ACCEPT_KEYWORDS="~x86" emerge -p =amule-1.2.6


Kun käytät tuota accept_keywordsia, niin asennat paketteja, joista ei ole vielä syystä tai toisesta otettu maskia pois, eli ne ovat jokseenkin testaamattomia.
Back to top
View user's profile Send private message
Jase
n00b
n00b


Joined: 13 Jun 2003
Posts: 18
Location: Oulu/Tornio, Finland

PostPosted: Mon May 31, 2004 11:30 am    Post subject: Reply with quote

Tälläisen "kikan" opin jokin aika sitten.

Luo tiedosto (kenties hakemistokin) /etc/portage/package.keywords. Laita tiedostoon esim: net-p2p/amule ~x86.

Nyt pitäisi uusin amule asentua pelkällä emerge amule-komennolla, jonka pitäisi myös toimia tulevaisuudessa.

BTW. Itselläni on nyt muokattu ebuild amule-2.0.0_rc3:lle, joka toimii kuin unelma verrattuna 1.x-sarjaan. Niin ja ohjelmista saatavilla olevat versiot saa tietoon gentoolkit paketin mukana tulevalla etcat-komennolla tyyliin etcat -v amule.

Toivottavasti tämä helpottaa portagen käyttöä.
Back to top
View user's profile Send private message
Hartza
n00b
n00b


Joined: 22 May 2004
Posts: 26
Location: Finland

PostPosted: Mon May 31, 2004 5:55 pm    Post subject: Reply with quote

Dodii, jopas helpotti. :D
Asensin tuon 2.0.0_rc3:sen 1.2.6 tilalle. Nyt alkaa aMule näytään jo tutulta, lähes sama kuin windows eMule. Vielä kun saisivat kademlian tuohon aMuleen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Finnish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum